package portabfrage;

import javax.comm.*;
import java.util.*;

/**
 * Title:        Port Listener mit Verzierungen
 * Description:  Abfrage der Ports und Ausgabe unter Ausnutzung der Port Eigenschaften
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class PrettyPortLister {
  public static void main(String[] args) {
    System.out.println("[PrettyPortListener]Start");
    Enumeration e = CommPortIdentifier.getPortIdentifiers();
    while (e.hasMoreElements()) {
      CommPortIdentifier com = (CommPortIdentifier) e.nextElement();
      System.out.print("[PrettyPortListener]Port Name : "+com.getName() );

      switch (com.getPortType() ) {
        case CommPortIdentifier.PORT_SERIAL :
          System.out.print(" ist ein serieller Port");
          break;
        case CommPortIdentifier.PORT_PARALLEL :
          System.out.print(" ist ein paralleler Port");
          break;
        default:
          // fr Erweiterungen, wie USB, ...
          System.out.print(" ist ein unbekannter Porttyp");
          break;
      }
      if (com.isCurrentlyOwned() ) {
        System.out.println(", der zur Zeit von "+com.getCurrentOwner()+
                                                      " benutzt wird.");
      } else {
        System.out.println(" und wird zur Zeit nicht benutzt.");
      }
    }
    System.out.println("[PrettyPortListener]Ende");
  }
}