package portowner;

import javax.comm.*;
import java.util.*;

/**
 * Title:        Port Owner
 * Description:  Bestimmen des Besitzers bzw. ffnen eines Ports
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class PortOpener {
  public static void main(String[] args) {
    System.out.println("[PortOpener]Start");
    Enumeration diePorts = CommPortIdentifier.getPortIdentifiers();
    while (diePorts.hasMoreElements()) {
      CommPortIdentifier com = (CommPortIdentifier) diePorts.nextElement();
      System.out.print("[PortOpener]"+com.getName());
      switch (com.getPortType() ) {
        case CommPortIdentifier.PORT_SERIAL :
          System.out.print(" ist ein serieller Port");
          break;
        case CommPortIdentifier.PORT_PARALLEL :
          System.out.print(" ist ein paralleler Port");
          break;
        default:
          // fr Erweiterungen, wie USB, ...
          System.out.print(" ist ein unbekannter Porttyp");
          break;
      }
      try {
        CommPort derPort = com.open("PortOpener",10);
        System.out.println(" wird zur Zeit nicht benutzt.");
        derPort.close();
      } catch(PortInUseException e) {
        String owner = com.getCurrentOwner();
        if (owner == null) owner = "unbekannt";
        System.out.println(" wird zur Zeit von "+owner+ " benutzt.");
      }
    }
    System.out.println("[PortOpener]Ende");
  }
}